Name:           freecode-submit
Version:        2.7
Release:        1%{?dist}
Summary:        A tool help submit release information to freecode.com
License:        BSD
URL:            http://www.catb.org/~esr/freecode-submit/
Source0:        http://www.catb.org/~esr/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python xmlto
BuildArch:      noarch

%description
freecode-submit is a script that supports remote submission of release 
updates to Freecode via its JSON API. It is intended for use in project 
release scripts. It reads the metadata from an RFC-2822-like message on 
standard input, possibly with overrides by command-line switches. It 
supersedes freshmeat-submit, which no longer works following the site 
name change.

%prep
%setup -q
sed -i 's|!/usr/bin/env python|!/usr/bin/python|g' %{name}

%build
make %{name}.html

%install
install -pDm755 %{name} "%{buildroot}%{_bindir}/%{name}"
install -pDm644 %{name}.1 "%{buildroot}%{_mandir}/man1/%{name}.1"

%files
%doc AUTHORS COPYING README gold-mega.png %{name}.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Dec 27 2013 Christopher Meng <rpm@cicku.me> - 2.7-1
- Update to 2.7

* Tue Oct 08 2013 Christopher Meng <rpm@cicku.me> - 2.6-1
- Update to 2.6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 2.5-2
- Fix build section.

* Wed May 15 2013 Christopher Meng <rpm@cicku.me> - 2.5-1
- Initial package.
